if(window.plus) ready();
else document.addEventListener('plusready', ready);
function ready(){
	if(plus.os.name.toLowerCase() === 'ios'){ 
		var UIPasteboard  = plus.ios.importClass("UIPasteboard");
		var generalPasteboard = UIPasteboard.generalPasteboard();
		window.setClipbordText = function(text, toast){
			// 设置文本内容:
			generalPasteboard.setValueforPasteboardType(text, "public.utf8-plain-text");
			//设置格式
			var value = generalPasteboard.valueForPasteboardType("public.utf8-plain-text");
			plus.nativeUI.toast(toast, {duration: 'long'})
		};
		window.getClipbordText = function(){
        	var _val=generalPasteboard.plusCallMethod({valueForPasteboardType:"public.utf8-plain-text"});
			return _val || '';
		}
	}else{
		var Context = plus.android.importClass("android.content.Context");
		var main = plus.android.runtimeMainActivity();
		var clip = main.getSystemService(Context.CLIPBOARD_SERVICE);
		window.setClipbordText = function(text, toast){
		    plus.android.invoke(clip,"setText",text);
		    plus.nativeUI.toast(toast, {duration: 'long'})
		};
		window.getClipbordText = function(){
        	return plus.android.invoke(clip, "getText");
		}
	}
}
