/*
 * 版本更新
 */
(function(mui, app){
	// 下载wgt文件
	app.dlWgt = function(url){
	    var wgtWaiting = plus.nativeUI.showWaiting("下载更新中...若长时间未响应，请重启软件重试或继续使用当前版本");
	    var dtask = plus.downloader.createDownload( url, {filename:"_doc/update/"}, function(d,status){
	        if ( status == 200 ) { 
	        	plus.nativeUI.toast("正在更新资源，请稍后！");
	            console.log("下载更新文件成功："+d.filename);
	            app.installWgt(d.filename); // 安装wgt包
	        } else {
	            console.log("下载更新文件失败！");
	            plus.nativeUI.alert("下载更新文件失败！");
	            wgtWaiting.close();
	        }
	    });
	    dtask.addEventListener("statechanged", function (download, status) {
	        switch (download.state) {
	            case 2:
	                wgtWaiting.setTitle("已连接到服务器");
	                break;
	            case 3:
	                var percent = download.downloadedSize / download.totalSize * 100;
	                wgtWaiting.setTitle("已下载 " + parseInt(percent) + "%");
	                break;
	            case 4:
	                wgtWaiting.setTitle("下载完成");
	                wgtWaiting.close();
	                break;
	        }
	    });
	    dtask.start();
	}
	
	// 更新应用资源
	app.installWgt = function installWgt(path){
	    plus.nativeUI.showWaiting("正在更新资源...");
	    plus.runtime.install(path,{},function(){
	        plus.nativeUI.closeWaiting();
	        console.log("安装wgt文件成功！");
	        plus.nativeUI.alert("应用资源更新完成！重启软件生效",function(){
	            plus.runtime.restart();
	        });
	    },function(e){
	        plus.nativeUI.closeWaiting();
	        console.log("安装更新文件失败["+e.code+"]："+e.message);
	        plus.nativeUI.alert("安装更新文件失败["+e.code+"]："+e.message);
	    });
	}
}(mui, window.appUpdate={}))
